### Method

# FwupdPlugin Device get_events

#### Declaration [src]

    GPtrArray*
    fu_device_get_events (
      FuDevice* self
    )

#### Description [src]

Gets all the `FuDeviceEvent` objects added with fu_device_add_event().

These events should be added by `FuDevice` subclasses to enable the daemon to emulate a specific device type.

Available since: | 2.0.0

#### Return value

Returns: | An array of `FuDeviceEvent*`
| Events.
| The data is owned by the instance.